#pragma once


class CSpltestDoc : public CDocument
{
protected: //create from serialization only
  CSpltestDoc();

public:
//Constructors / Destructors
  CSpltestDoc(const CSpltestDoc&) = delete;
  CSpltestDoc(CSpltestDoc&&) = delete;
  ~CSpltestDoc() = default; //NOLINT(modernize-use-override)

//Methods
  CSpltestDoc& operator=(const CSpltestDoc&) = delete;
  CSpltestDoc& operator=(CSpltestDoc&&) = delete;
  void Serialize(CArchive& ar) override;

protected:
  DECLARE_MESSAGE_MAP()
  DECLARE_DYNCREATE(CSpltestDoc)
};
