#pragma once


class CSpltestView : public CView
{
protected: // create from serialization only
  CSpltestView();
  DECLARE_DYNCREATE(CSpltestView)

public:
//Constructors / Destructors
  CSpltestView(const CSpltestView&) = delete;
  CSpltestView(CSpltestView&&) = delete;
  ~CSpltestView() = default; //NOLINT(modernize-use-override)

//Methods
  CSpltestView& operator=(const CSpltestView&) = delete;
  CSpltestView& operator=(CSpltestView&&) = delete;

protected:
//Methods
  void OnDraw(CDC* pDC) noexcept override;
  BOOL OnPreparePrinting(CPrintInfo* pInfo) override;
  void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo) noexcept override;
  void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo) noexcept override;

  DECLARE_MESSAGE_MAP()
};
