#pragma once

#include "..\Splasher.h"


class CSpltestdlgDlg : public CDialog
{
public:
//Constructors / Destructors
  CSpltestdlgDlg(_In_opt_ CWnd* pParent = nullptr);
  CSpltestdlgDlg(const CSpltestdlgDlg&) = delete;
  CSpltestdlgDlg(CSpltestdlgDlg&&) = delete;
  ~CSpltestdlgDlg() = default; //NOLINT(modernize-use-override)

//Methods
  CSpltestdlgDlg& operator=(const CSpltestdlgDlg&) = delete;
  CSpltestdlgDlg& operator=(CSpltestdlgDlg&&) = delete;

//Member variables
  CSplashFactory* m_pSplashFactory;

protected:
//Member variables
  enum { IDD = IDD_SPLTESTDLG_DIALOG };
  HICON m_hIcon;

//Methods
  BOOL OnInitDialog() override;
  void DoDataExchange(CDataExchange* pDX) override;

  afx_msg void OnPaint();
  afx_msg HCURSOR OnQueryDragIcon() noexcept;

  DECLARE_MESSAGE_MAP()
};
